Get ERC20-Token TotalSupply by ContractAddress
curl --request GET \
--url 'https://api.etherscan.io/v2/api?apikey='import requests
url = "https://api.etherscan.io/v2/api?apikey="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.etherscan.io/v2/api?apikey=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "1",
"message": "OK",
"result": "21265524714464"
}
Tokens
Get ERC20-Token TotalSupply by ContractAddress
Returns the amount of an ERC-20 token in circulation.
GET
/
v2
/
api
Get ERC20-Token TotalSupply by ContractAddress
{
"status": "1",
"message": "OK",
"result": "21265524714464"
}
Authorizations
Enter your Etherscan API key, or set one up if you don't have one.
Query Parameters
Chain ID to query, eg 1 for Ethereum, 42161 for Arbitrum from our supported chains.
Set to stats for this endpoint.
Set to tokensupply for this endpoint.
Contract address of the ERC-20 token.
Response
200 - application/json
Successful response
1 if the request returned data, 0 otherwise. A status of 0 can indicate an error or a valid request that returned no records.
OK on success, otherwise an error description such as NOTOK. See common error messages.
Total supply of the token, in the token's smallest unit.